Bug 236005 - [RHEL5] Forwarding forwarded emails drops attachments
[RHEL5] Forwarding forwarded emails drops attachments
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evolution (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Crha
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-11 09:39 EDT by Richard Monk
Modified: 2010-05-03 11:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-03 11:02:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 330597 None None None Never

  None (edit)
Description Richard Monk 2007-04-11 09:39:18 EDT
Description of problem:
When forwarding an email that itself is a forward with an attachment, the
attachments are dropped.  This occurs if you use "Quoted" or "inline" method for
attachment.  If you use the "attachment" forwarding method, the full email is
attached, but as a text file, and evolution does not parse the internal MIME headers


Version-Release number of selected component (if applicable):
evolution-2.8.0-33.el5

Steps to Reproduce:
1. Receive a forwarded mail with an attachment
2 [details]. Attempt to forward the email using inline or quoted methods
  
Actual results:
forwarded email contains message, but no attachments

Expected results:
Attachments should be attached

Additional info:
Comment 1 Richard Monk 2007-04-11 09:42:46 EDT
When you forward the message as an attachment, you cannot see the internally
attached files in the forwarded mail.  When you get the email, however, it shows
the nested attachments correctly.
Comment 2 Michal Babej 2007-09-03 13:21:02 EDT
seems very similar to bug 176263
Comment 3 Matthew Barnes 2008-03-16 18:33:28 EDT
RHEL 5.2 will re-base Evolution from version 2.8.0 to version 2.12.3.
Can you please test whether this bug is still present in RHEL 5.2?
Comment 4 Matěj Cepl 2008-04-17 12:07:29 EDT
Reporter, could you please reply to the previous question?
Comment 5 Milan Crha 2008-06-04 12:30:06 EDT
It depends on the content type of the attachment, I can reproduce this with a
text/plain attachment, not necessarily forwarder mail. Thus confirming.
I will pick this upstream bug:
http://bugzilla.gnome.org/show_bug.cgi?id=330597
Comment 7 RHEL Product and Program Management 2008-07-21 19:11:24 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 10 Matthew Barnes 2009-03-10 12:03:17 EDT
Richard, if you're still seeing this problem in RHEL 5.3, can you provide a sample email with attachments that we can use to verify?  We think we found at least a partial solution, but we're not sure if it would fully cover the problem you're seeing.  And I don't want to send this to QA without specific test cases.
Comment 13 Matěj Cepl 2010-05-03 11:02:57 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.